evolution-data-server (3.56.2-3ubuntu0.1) questing-security; urgency=medium

  * SECURITY UPDATE: Insecure local cache file removal
    - debian/patches/CVE-2026-2604.patch: canonicalize path before local
      cache file removal in
      src/addressbook/backends/file/e-book-backend-file.c,
      src/addressbook/libedata-book/e-book-meta-backend.c,
      src/calendar/libedata-cal/e-cal-cache.c,
      src/libedataserver/e-data-server-util.c,
      src/libedataserver/e-data-server-util.h,
      tests/libedataserver/libedataserver-test.c.
    - debian/libedataserver-1.2-27t64.symbols: added new symbol.
    - CVE-2026-2604

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Feb 2026 12:33:34 -0500

evolution-data-server (3.56.2-3) unstable; urgency=medium

  * Cherry-pick patch to fix busy loop when using the MH format mail archive
    (Closes: #1111605)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Aug 2025 08:40:21 -0400

evolution-data-server (3.56.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:06:12 -0400

evolution-data-server (3.56.2-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 13:45:08 -0400

evolution-data-server (3.56.1-2) unstable; urgency=medium

  [ Jeremy Bícha
  * New upstream bugfix release (LP: #2106819)

  [ Simon McVittie ]
  * d/patches: Update URL to libsoup documentation
    Update URL to libsoup documentation, avoiding an expired domain that
    is no longer under GNOME's control

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Apr 2025 08:05:24 -0400

evolution-data-server (3.56.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 14 Mar 2025 16:18:23 +0100

evolution-data-server (3.55.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Feb 2025 09:01:37 -0500

evolution-data-server (3.55.2-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 14:29:23 -0500

evolution-data-server (3.55.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 09:46:10 -0900

evolution-data-server (3.54.3-1) unstable; urgency=medium

  * New upstream release
  * debian/gbp.conf: Switch to debian/trixie and upstream/3.54.x branches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 08:51:08 -0900

evolution-data-server (3.54.2-1) unstable; urgency=medium

  * Team upload

  [ Alessandro Astone ]
  * New upstream release

  [ Jeremy Bícha ]
  * Add Provides: ${gir:Provides} to -dev packages
  * Update Homepage
  * Remove obsolete Lintian overrides

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 05 Dec 2024 11:26:20 +0100

evolution-data-server (3.54.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 18 Oct 2024 16:14:37 +0200

evolution-data-server (3.54.0-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Sep 2024 15:56:18 +0200

evolution-data-server (3.53.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Lintian override link-to-shared-library-in-wrong-package

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 06 Sep 2024 10:08:55 +0200

evolution-data-server (3.53.2-1) unstable; urgency=medium

  * New upstream release
  * debian/*.symbols: Add new symbols
  * Drop obsolete Conflicts/Breaks/Replaces
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 13:40:13 -0400

evolution-data-server (3.52.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Aug 2024 11:43:16 -0400

evolution-data-server (3.52.3-1) unstable; urgency=medium

  * New upstream release
  * debian/libcamel-1.2-64t64.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 10:07:30 -0400

evolution-data-server (3.52.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 16:33:45 -0400

evolution-data-server (3.52.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 09 May 2024 21:07:22 -0400

evolution-data-server (3.52.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 May 2024 08:20:57 -0400

evolution-data-server (3.52.0-1) experimental; urgency=medium

  * New upstream release
    - 3.51.3 Bug Fixes:
      + CalDAV Scheduling - utilize SCHEDULE-AGENT propertyparameter
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/139)
      + build: Make sure tests run in serial
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/522)
      + IMAPx: Disable PREVIEW fetch on error
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/526)
      + Camel: Long header folding should not add empty folding line
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/527)
      + Camel: Fix possible busy loop in camel-lock-helper
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/528)
      + Support webcals: URI
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2675)
    - 3.52.0 Bug Fixes:
      + addressbook: Crash on authenticate and finalize in two threads
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/523)
      + Calendar: Prefer html/markdown description in preview
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2672)
    - 3.52.0 Miscellaneous:
      + SetupBuildFlags.cmake: Remove "-Wl,--no-undefined" from compiler flags
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/commit/e02f0cbc)
      + Replace https://wiki.gnome.org/Apps/Evolution in the sources
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/commit/5159620e)
      + Replace live.gnome.org with wiki.gnome.org URI (Andre Klapper)
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/commit/32d6ffed)
  * debian/libecal-2.0-3.symbols: Update to add new symbol

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 20 Mar 2024 09:54:27 -0400

evolution-data-server (3.51.2-1) experimental; urgency=medium

  * New upstream release
  * debian/evolution-data-server.install: Install alarm-notify app icon
  * Update package name to match soname bump: libecal-2.0-2t64 → libecal-2.0-3
  * Update symbols files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 11:25:32 -0500

evolution-data-server (3.50.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build depedency on dpkg-dev to use >= not >> (sorry).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 06 Mar 2024 12:48:17 +1300

evolution-data-server (3.50.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build depedency on dpkg-dev (>= 1.22.5) for time_t transition.
    (Closes: #1065281)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Mar 2024 23:42:02 +1300

evolution-data-server (3.50.3-2) unstable; urgency=medium

  * Release to unstable (Closes: #1062542)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 21:31:41 -0500

evolution-data-server (3.50.3-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 01 Feb 2024 21:26:49 +0000

evolution-data-server (3.50.3-1) unstable; urgency=medium

  * New upstream release
    - Bug Fixes:
      + sqlite3_enable_shared_cache is deprecated
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/507)
      + Camel: Hide errors from for-offline download
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/511)
      + IMAP: Copy/move messages in smaller batches
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/512)
    - Miscellaneous:
      + Camel: Ignore errors about missing messages during filtering
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/commit/92b2ba6f)

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 08 Jan 2024 20:41:44 -0500

evolution-data-server (3.50.2-1) unstable; urgency=medium

  * New upstream release
    - Bug Fixes:
      + alarm-notify: Some reminders could be lost
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/505)
      + alarm-notify: Birthday floating date shifted by one day
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/506)
      + CamelGpgContext: Don't leak istream in gpg_sign_sync()
        (Guido Günther)
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/merge_requests/139)
      + e-xml-utils: Fix build with libxml2 2.12 (Jürg Billeter)
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/merge_requests/145)
    - Miscellaneous:
      + OAuth2: Add scheme handler for OAuth2 prompts in external
        browser
      + EReminderWatcher: Last-notified time not always set
  * debian/evolution-data-server.install: Install libexec binary and
    desktop file for the new OAuth2 handler
    - usr/libexec/evolution-data-server/evolution-oauth2-handler
    - usr/share/applications/org.gnome.evolution-data-server.OAuth2-handler.desktop
  * Add new symbols corresponding to the new OAuth2 handler
    - debian/libedataserverui-1.2-4.symbols
    - debian/libedataserverui4-1.0-0.symbols
  * Stop using debian/control.in

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 05 Dec 2023 14:17:08 -0500

evolution-data-server (3.50.1-1) unstable; urgency=medium

  * New upstream release
    - Bug Fixes:
      + Update default calendar colors
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/494)
      + Mail: Correct conversion of UTF-16 encoded text files
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/1436)

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 24 Oct 2023 06:24:11 -0400

evolution-data-server (3.50.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libedataserver-1.2.27.symbols: Add new symbol
  * Fix configure flag for ia64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 14:55:34 -0400

evolution-data-server (3.49.3-1) unstable; urgency=medium

  * New upstream release
  * Drop patch applied in new release
  * debian/libecal-2.0-2.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 07:41:57 -0400

evolution-data-server (3.49.2-4) unstable; urgency=medium

  * Team upload
  * Cherry-pick patch to strip unneeded information from GPG keys on
    export; related to
    https://gitlab.gnome.org/GNOME/evolution/-/issues/375

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 17 Aug 2023 00:10:34 -0400

evolution-data-server (3.49.2-3) unstable; urgency=medium

  * Have libedataserver1.2-dev depend on libjson-glib-dev per pkgconfig

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 13:06:52 -0400

evolution-data-server (3.49.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 05 Aug 2023 04:48:56 -0400

evolution-data-server (3.49.2-1) experimental; urgency=medium

  * New upstream release
  * Add new symbols to symbols files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 07:03:35 -0400

evolution-data-server (3.48.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Bug Fixes:
      + Camel: Learn as Junk filter action not actually running the learn
        function
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/480)

 -- Amin Bandali <bandali@ubuntu.com>  Sat, 01 Jul 2023 12:40:30 -0400

evolution-data-server (3.48.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Bug Fixes:
      + EWebDAVSession: Claim also error nodes from propstat response
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/475)

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 13 Jun 2023 11:24:24 -0400

evolution-data-server (3.48.2-1) unstable; urgency=medium

  [ Amin Bandali ]
  * New upstream release (LP: #2021528)
    - Bug Fixes:
      + Camel: Set proper S/MIME signature verification status
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/474)
      + IMAP: Cannot remove labels added in Thunderbird
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/478)
      + WebDAV: Fails to discover iCloud address book
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/479)
      + Wrong S/MIME certificate selection for encrypted email
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2345)

  [ Jeremy Bícha ]
  * Release to unstable

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 29 May 2023 14:53:31 -0400

evolution-data-server (3.48.1-1) experimental; urgency=medium

  * New upstream release (LP: #2017229)
  * debian/*.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Apr 2023 12:41:37 +0200

evolution-data-server (3.48.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 26 Mar 2023 15:51:56 -0400

evolution-data-server (3.47.3-2) experimental; urgency=medium

  * Build against webkitgtk 6.0 instead of 5.0
  * Drop patches delaying switch to webkitgtk 6.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 19:56:40 -0400

evolution-data-server (3.47.3-1) experimental; urgency=medium

  * New upstream release
  * debian/libecl-2.0-2.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Mar 2023 07:08:04 -0500

evolution-data-server (3.47.2-1) experimental; urgency=medium

  * New upstream release (part of GNOME 44)
  * Revert 2 commits switching to webkit2gtk 6.0 since the API isn't final yet
  * debian/*.symbols: Add new symbols
  * Revert branching for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Feb 2023 12:22:34 -0500

evolution-data-server (3.46.4-1) unstable; urgency=medium

  * New upstream release
  * Update lintian override info format
  * Update standards version to 4.6.2, no changes needed
  * debian/gbp.conf, debian/control.in: branch for bookworm

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Feb 2023 07:07:22 -0500

evolution-data-server (3.46.3-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata
  * Fix some minor Lintian warnings

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 11:34:33 -0500

evolution-data-server (3.46.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Dec 2022 16:30:55 -0500

evolution-data-server (3.46.1-1) unstable; urgency=medium

  * New upstream release (LP: #1993834)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Oct 2022 11:32:50 -0400

evolution-data-server (3.46.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 15:27:03 -0400

evolution-data-server (3.45.3-2) experimental; urgency=medium

  * Add packages for the GTK4 version of libedataserverui: libedataserverui4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 14:16:20 -0400

evolution-data-server (3.45.3-1.2) unstable; urgency=medium

  * fix typo in Breaks field

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 19:33:05 -0400

evolution-data-server (3.45.3-1.1) unstable; urgency=medium

  * Release to unstable
  * Add some Breaks for evolution-data-server 3.45/libsoup3 transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 15:31:56 -0400

evolution-data-server (3.45.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Drop obsolete gcr from Build-Depends
  * debian/libedataserverui-1.2-4.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 04:16:04 -0400

evolution-data-server (3.45.2-1) experimental; urgency=medium

  * New upstream release
  * Update package names for soname bump
  * Update symbols files
  * debian/control.in: Build-Depend on libsoup3 instead of libsoup2.4
  * debian/control.in: Build-Depend on libwebkit2gtk-4.1-dev instead of 4.0
  * debian/control.in: Bump minimum libgweather to 4.1
  * debian/control.in: Drop Build-Depends on libgdata
  * debian/rules: Don't build the gtk4 library yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 08:18:04 -0400

evolution-data-server (3.44.4-1) unstable; urgency=medium

  * New upstream release
  * Drop glib patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 07:13:11 -0400

evolution-data-server (3.44.3-2) unstable; urgency=medium

  * Team upload
  * d/patches: Improve patch metadata
  * d/p/Check-for-non-zero-value-passed-to-g_flags_get_first_valu.patch:
    Add patch from upstream to prevent infinite loop of memory allocation
    with GLib 2.73.x (Closes: #1015181)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Jul 2022 22:03:36 +0100

evolution-data-server (3.44.3-1) unstable; urgency=medium

  * New upstream release (LP: #1980545)
  * Drop patch applied upstream

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 01 Jul 2022 14:57:16 -0300

evolution-data-server (3.44.2-2) unstable; urgency=medium

  * Cherry-pick patch to fix recurring calendar events starting at midnight
    (LP: #1978476)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Jun 2022 13:16:57 -0400

evolution-data-server (3.44.2-1) unstable; urgency=medium

  * New upstream release (LP: #1976371)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 31 May 2022 09:30:00 -0300

evolution-data-server (3.44.1-1) unstable; urgency=medium

  * New upstream release (LP: #1969934)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 22 Apr 2022 08:41:41 -0400

evolution-data-server (3.44.0-3) unstable; urgency=medium

  * Build with libgweather4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 11:24:11 -0400

evolution-data-server (3.44.0-2) unstable; urgency=medium

  * debian/rules: Fix dh_fixperms override (Closes: #1004484, #1006603)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Mar 2022 21:45:47 -0400

evolution-data-server (3.44.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 08:14:59 -0400

evolution-data-server (3.43.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 05 Mar 2022 15:25:51 -0500

evolution-data-server (3.43.2-1) unstable; urgency=medium

  * New upstream release
  * Add new symbols to symbols files

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 11:44:30 -0500

evolution-data-server (3.42.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 08:02:19 -0500

evolution-data-server (3.42.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Jan 2022 07:15:20 -0500

evolution-data-server (3.42.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 03 Dec 2021 06:35:36 -0500

evolution-data-server (3.42.1-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Reenable OAuth support on sh4, webkit now builds on that architecture

  [ Sebastien Bacher ]
  * New upstream release
  * Updated the symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Nov 2021 11:34:45 +0100

evolution-data-server (3.42.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 28 Sep 2021 19:11:28 -0400

evolution-data-server (3.42.0-1) experimental; urgency=medium

  * New upstream release
  * Don't let debhelper 13.4+ make all the installed-tests executable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 16:12:07 -0400

evolution-data-server (3.41.3-1) experimental; urgency=medium

  * New upstream release
  * Rename libcamel-1.2-62 to libcamel-1.2-63 to match soname bump
  * Add new symbols for the new release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Sep 2021 19:58:56 -0400

evolution-data-server (3.40.4-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Sep 2021 17:20:25 +0200

evolution-data-server (3.40.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 21:29:30 +0200

evolution-data-server (3.40.1-3) experimental; urgency=medium

  * debian/control: Bump libgweather dependendency to rebuild against 40.0
    libgweather had some internal API/ABI changes (not reflected by a soname
    update as they apply at runtime only) so e-d-s needs to be rebuilt
    against it.
    As per this, bump the build dependency. Even though we supports both
    versions and this is technically not required, we depend on a newer
    release to ensure that we'll only rebuild this package when available.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 May 2021 13:28:19 +0200

evolution-data-server (3.40.1-2) experimental; urgency=medium

  * Disable OAuth support on architecture where webkit is not available
  * Disable libphonenumber support on ia64 too

 -- Laurent Bigonville <bigon@debian.org>  Sat, 08 May 2021 19:34:54 +0200

evolution-data-server (3.40.1-1) experimental; urgency=medium

  * New upstream release
  * Updated symbols for the new version

  [ Matthias Klose ]
  * libebook-contacts-1.2-3.symbols:
    - Remove duplicate symbols.
    - Mark symbols as optional not seen when building with lto.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 03 May 2021 10:50:49 +0200

evolution-data-server (3.40.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Mar 2021 21:20:23 +0100

evolution-data-server (3.39.3-1) experimental; urgency=medium

  [ Olivier Tilloy ]
  * Make libedataserver1.2-dev depend on libgdata-dev (per upstream change
    https://gitlab.gnome.org/GNOME/evolution-data-server/-/commit/45009e9)

  [ Sebastien Bacher ]
  * New upstream release
  * Refresh the symbols for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 10:43:56 +0100

evolution-data-server (3.39.2-1) experimental; urgency=medium

  * New upstream release
  * Updated for the soname changes and refreshed symbols
  * Removed patches included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 16:32:58 +0100

evolution-data-server (3.38.3-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * New upstream release
  * debian/libebackend-1.2-10.symbols:
    - updated for the new version

  [ Laurent Bigonville ]
  * Stop hardcoding the build path in EDataServer-1.2.gir and make
    libedataserver1.2-dev MA co-installable
  * Try to make evolution-data-server-tests reproductible, patch from upstream

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Jan 2021 17:06:37 +0100

evolution-data-server (3.38.2-2) unstable; urgency=medium

  * Add a patch from upstream to remove absolute build paths from header
    files, that should make them reproducible and fix multi-arch

 -- Laurent Bigonville <bigon@debian.org>  Tue, 08 Dec 2020 10:42:08 +0100

evolution-data-server (3.38.2-1) unstable; urgency=medium

  * New upstream release
    - debian/*.symbols: Add newly exported symbols
  * debian/rules: Add reproducible=+fixfilepath option to
    DEB_BUILD_MAINT_OPTIONS to try to make the package reproductible

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Dec 2020 17:49:01 +0100

evolution-data-server (3.38.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Nov 2020 16:05:10 +0100

evolution-data-server (3.38.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Oct 2020 13:37:20 +0200

evolution-data-server (3.38.0-2) experimental; urgency=medium

  * Correctly update the symbols now

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 13:29:29 +0200

evolution-data-server (3.38.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 11:20:26 +0200

evolution-data-server (3.37.90-1) experimental; urgency=medium

  * New upstream release
  * Updated for the libedataserver soname change
  * Refreshed the symbols for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 15:20:12 +0200

evolution-data-server (3.36.4-1) unstable; urgency=medium

  * New stable version (lp: #1886644), fixes
    - CVE-2020-14928: Response Injection via STARTTLS in SMTP and POP3
  * Updated symbols for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Jul 2020 12:38:45 +0200

evolution-data-server (3.36.3-1) unstable; urgency=medium

  * New stable version (lp: #1883116)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Jun 2020 23:09:07 +0200

evolution-data-server (3.36.2-1) unstable; urgency=medium

  * New upstream release
  * Drop backported patches applied in new release
  * Drop obsolete dh_strip dbgsym migration rule
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 26 Apr 2020 17:36:00 -0400

evolution-data-server (3.36.1-2) unstable; urgency=medium

  * debian/patches/git_stable_bugfixes.patch:
    - backport upstream fixes for webdav and goa calendar issues
      (lp: #1871019)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Apr 2020 09:38:29 +0200

evolution-data-server (3.36.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 12:59:11 -0400

evolution-data-server (3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 15:29:17 +0100

evolution-data-server (3.35.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Mar 2020 16:37:28 +0100

evolution-data-server (3.35.91-1) experimental; urgency=medium

  * New upstream release
  * debian/gbp.conf:
    - go back to use upstream/latest for the new serie
  * debian/control.in:
    - updated the libical version requirement to 3.0.7
  * debian/libedataserver-1.2-24.symbols:
    - refresh the symbols for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 15:20:32 +0100

evolution-data-server (3.34.3-2) unstable; urgency=medium

  [ Iain Lane ]
  * Re-apply accidentally dropped changes from 3.34.1-2.
  * gbp.conf: Use upstream/3.34.x for upstream branch, now upstream/latest has
    diverged

  [ Steve Langasek ]
  * debian/rules: Omit evolution-data-server{,-tests} packages on
    ubuntu/i386.

 -- Iain Lane <laney@debian.org>  Sun, 16 Feb 2020 21:49:04 +0000

evolution-data-server (3.34.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 01 Feb 2020 21:34:29 -0500

evolution-data-server (3.34.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/rules: Omit evolution-data-server{,-tests} packages on
    ubuntu/i386. (Closes: #947186)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Jan 2020 17:30:09 +0100

evolution-data-server (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libedataserver-1.2-24.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 Oct 2019 20:19:38 -0400

evolution-data-server (3.34.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 13:39:53 +0200

evolution-data-server (3.34.0-2) experimental; urgency=medium

  * Correctly update debian/libedata-cal-2.0-1.symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Sep 2019 18:10:19 +0200

evolution-data-server (3.34.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 17:59:16 +0200

evolution-data-server (3.33.91-3) experimental; urgency=medium

  * Correctly update the symbols for the new version...

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 21:25:12 +0200

evolution-data-server (3.33.91-2) experimental; urgency=medium

  * Remove patch not needed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 17:07:53 +0200

evolution-data-server (3.33.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 17:04:06 +0200

evolution-data-server (3.33.4-1) experimental; urgency=medium

  * New upstream release
  * debian/*: Update package names for new SONAMEs. There are new gir
    libraries too, for EDataCal / ECal / EDataBook / EBackend - add binary
    packages for these.
  * Bump libical BD per upstream.
  * Refresh patches
  * debian/evolution-data-server.docs: Drop TODO, it's removed upstream
  * ecal-Add-camel-and-libedataserver-to-the-library-search-p.patch: Fix gir
    build failure
  * Update symbols files
  * debian/evolution-data-server.lintian-overrides: Fix path of sgid binary
  * debian/copyright: Update slightly

 -- Iain Lane <laney@debian.org>  Tue, 30 Jul 2019 13:28:58 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog evolution-data-server-dev`.
